import type { Metadata } from "next"
import { Inter } from "next/font/google"
import "./globals.css"
import Nav from "@/components/Nav"
import Footer from "@/components/Footer"

const inter = Inter({ subsets: ["latin"] })

export const metadata: Metadata = {
  title: "IPv6 测试",
  description: "IPv6 测试",
}

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode
}>) {
  return (
    <html lang='zh'>
      <body className={inter.className}>
        <main className='h-screen flex flex-col'>
          <Nav />
          {children}
          <Footer />
        </main>
      </body>
    </html>
  )
}
