"use client"
import useSWR from "swr"

const fetcher = (url: string | URL | Request) =>
  fetch(url).then((r) => r.json())

interface Myip {
  address: string
  version: string
}

export default function Home() {
  const { data: http4 } = useSWR<Myip>("http://4.ipv6test.online/ip/myip", fetcher)
  const { data: http6 } = useSWR<Myip>("http://4.ipv6test.online/ip/myip", fetcher)


  return (
    <div className='max-w-full flex justify-center h-full'>
      <div className='hero-content text-center'>
        <div className='max-w-md'>
          <h1 className='text-5xl font-bold'>免费IPv6测试</h1>

          <div className='card bg-base-100 w-96 shadow-xl'>
            <div className='card-body'>
              <p>IPv4 {http4?.address}</p>
              <p>IPv6 {http6?.address}</p>
            </div>
          </div>
          {/* <button className='btn btn-primary'>探索更多</button> */}
        </div>
      </div>
    </div>
  )
}
